# sudo nix --experimental-features "nix-command flakes" run github:nix-community/disko/v1.2.0 -- --mode disko ./partitions-disko.nix
{
  disko.devices.disk = {
    sda = {
      device = "/dev/sdb";
      type = "disk";
      content = {
        type = "gpt";
        partitions = {
          BOOT = {
            size = "1M";
            type = "EF02"; # for grub MBR
          };
          ESP = {
            size = "1G";
            type = "EF00";
            content = {
              type = "filesystem";
              format = "vfat";
              mountpoint = "/boot";
              extraArgs = [ "-i12CEA600" ];
            };
          };
          root = {
            size = "100%";
            content = {
              type = "filesystem";
              format = "ext4";
              extraArgs = [
                "-U0b9ccd4f-b6a6-45e2-b83a-480623f5db91"
              ];
              mountpoint = "/";
              mountOptions = [
                "defaults"
              ];
            };
          };
        };
      };
    };

    sdb = {
      device = "/dev/sda";
      type = "disk";
      content = {
        type = "gpt";
        partitions = {
          BOOT = {
            size = "1M";
            type = "EF02"; # for grub MBR
          };
          ESP = {
            size = "1G";
            type = "EF00";
            content = {
              type = "filesystem";
              format = "vfat";
              mountpoint = "/boot2";
              extraArgs = [ "-i8D0A9EA4" ];
            };
          };
          nixStore = {
            size = "100%";
            content = {
              type = "filesystem";
              format = "ext4";
              extraArgs = [
                # Nix store often has many small files so reserve more space for inodes.
                # (default is one inode per 16k)
                "-i${toString (16384 / 4)}"

                "-Uad0d00da-72a4-452b-8691-3f627424cd16"
              ];
              mountpoint = "/nix/store";
            };
          };
        };
      };
    };
  };
}
